# $Revision: 1.40 $, $Date: 2010/04/15 11:51:04 $
Summary:	Nessus libraries
Summary(pl.UTF-8):	Biblioteki Nessus
Name:		nessus-libs
Version:	2.2.7
Release:	5
License:	GPL
Group:		Networking
Vendor:		Nessus Project
Source0:	ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/src/nessus-libraries-%{version}.tar.gz
# Source0-md5:	740d9f2d97c495a52663a15a0fe5e6cd
Patch0:		%{name}-nolibs.patch
Patch1:		%{name}-link.patch
Patch2:		%{name}-libtool.patch
URL:		http://www.nessus.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpcap-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.7d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# needed to get /var/lib/nessus instead of /var/nessus
%define		_localstatedir	/var/lib

%description
Libraries for Nessus - a free, powerful, up-to-date and easy to use
remote security scanner.

%description -l pl.UTF-8
Celem projektu "Nessus" jest dostarczenie społeczności internetowej
wolnodostępnego, potężnego, aktualnego i łatwego w użyciu zdalnego
skanera bezpieczeństwa (tzn. oprogramowania, które zdalnie
przeprowadza audyt podanej sieci i sprawdza, czy źli ludzie mogą się
do niej włamać lub jej nadużyć w jakiś sposób).

Ten pakiet zawiera biblioteki Nessusa.

%package devel
Summary:	Nessus libraries development files
Summary(pl.UTF-8):	Pliki dla programistów używających Nessusa
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libpcap-devel
Requires:	openssl-devel

%description devel
Header files for developing applications that use Nessus.

%description devel -l pl.UTF-8
Pliki nagłówkowe konieczne do rozwoju aplikacji używających Nessusa.

%package static
Summary:	Nessus static libraries
Summary(pl.UTF-8):	Biblioteki statyczne Nessusa
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Nessus static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne Nessusa.

%prep
%setup -q -n nessus-libraries
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--disable-nessuspcap \
	--enable-cipher \
	--enable-openpty \
	--enable-bpf-sharing

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_localstatedir}/nessus

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%dir %{_localstatedir}/nessus

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nessus-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_mandir}/man1/nessus-config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nessus-libs.spec,v $
Revision 1.40  2010/04/15 11:51:04  baggins
- rel 5
- fixed libtool usage

Revision 1.39  2010/04/12 19:27:39  arekm
- release 4

Revision 1.38  2010/04/03 17:21:11  glen
- release 3

Revision 1.37  2007/09/17 14:34:50  baggins
- rel 2

Revision 1.36  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.35  2007/02/12 00:49:12  baggins
- converted to UTF-8

Revision 1.34  2006/03/26 23:12:06  wolvverine
- up to 2.2.7

Revision 1.33  2005/08/13 06:56:39  dzeus
- up to 2.2.5

Revision 1.32  2005/03/28 10:55:21  adamg
- updated to 2.2.4

Revision 1.31  2005/02/20 10:18:25  adamg
- updated to 2.2.3

Revision 1.30  2005/02/08 12:47:22  qboosh
- updated to 2.2.2a

Revision 1.29  2004/09/25 02:06:54  domelu
- updated to 2.0.12 && removed SECURITY note

Revision 1.28  2004/08/10 13:43:51  blues
- SECURITY note

Revision 1.27  2004/04/02 13:26:28  qboosh
- updated nolibs patch to fix libresolv issue on amd64; release 2

Revision 1.26  2004/03/28 18:15:44  qboosh
- updated to 2.0.10a, added link patch

Revision 1.25  2004/03/19 23:46:31  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.24  2003/10/10 11:02:59  qboosh
- redefine _localstate dir to get FHS-compliant state directory
- added /var/lib/nessus dir here - used by library itself
- release 2

Revision 1.23  2003/10/03 09:19:10  adamg
- updated to 2.0.8

Revision 1.22  2003/09/30 20:18:27  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.21  2003/08/19 12:44:29  aniou
- upgrade to 2.0.7
- add init file to nessus daemon

Revision 1.20  2003/07/02 13:45:38  qboosh
- -devel R: libpcap-devel, openssl-devel

Revision 1.19  2003/07/02 08:49:42  qboosh
- added nolibs patch

Revision 1.18  2003/07/01 15:09:19  qboosh
- fixes in file lists, cosmetics

Revision 1.17  2003/06/02 07:08:10  misi3k
- missing in action update to 2.0.6a

Revision 1.16  2003/05/25 05:51:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/05/05 08:14:51  misi3k
- updated to 2.0.4

Revision 1.14  2003/04/03 11:10:27  misi3k
updated to 2.0.3

Revision 1.13  2003/03/18 10:52:37  misiek
- call libtoolize

Revision 1.12  2003/03/18 10:30:03  misiek
- updated to 2.0.1

Revision 1.11  2003/02/27 18:32:05  pbern
- update to 2.0
- need typos

Revision 1.10  2003/02/13 14:03:35  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.9  2002/11/25 14:17:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.8  2002/10/09 08:25:48  qboosh
- BR: automake

Revision 1.7  2002/10/03 13:24:37  qboosh
- 755 for *.la

Revision 1.6  2002/09/28 10:35:04  mmazur
- enable openpty()

Revision 1.5  2002/09/28 10:31:42  mmazur
- added BRs... taken from zagrodzky's spec

Revision 1.4  2002/09/27 18:54:10  mmazur
- cosmetics :)

Revision 1.3  2002/09/27 18:50:52  mmazur
- added proper Req to -devel and -static

Revision 1.2  2002/09/24 18:41:51  mmazur
- added BR: libpcap-devel

Revision 1.1  2002/09/24 17:24:37  mmazur
- initial revision; rel1
- somebody fix my desc/summary... it sucks
